System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.DictionaryBase

The class represents the collection returned from the method. This collection contains all the counter and instance data. The collection contains an object for each counter. Each object contains the performance data for all counters for that instance. Thus, the data is indexed by counter name and then by instance name.

Provides a strongly typed collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use PerformanceCounterCategory.ReadCategory()")
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter is case-insensitive.

  Each object in the collection contains the performance data for all counters for an instance. The data is indexed by counter name and then by instance name. returns true if there is an object whose associated counter has the name specified by the parameter.

  Determines whether an instance data collection for the specified counter (identified by one of the indexed objects) exists in the collection.

  true if an instance data collection containing the specified counter exists in the collection; otherwise, false.

  The name of the performance counter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies an array of instances to the collection, at the specified index.

  An array of instances (identified by the counters they contain) to add to the collection. The location at which to add the new instances.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.InstanceDataCollection `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection'

  Each software component creates keys for its objects and counters when it is installed and writes counter data while it is executing. You can access this data as you would access any other registry data. However, although you use the registry to collect performance data, the data is not stored in the registry database. Instead, the system collects the data from the appropriate system object managers.

  Gets the object and counter registry keys for the objects associated with this instance data collection.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection' To be added

  Gets the instance data values that comprise the collection of instances for the counter.